% OCAMLMOD(1) ocamlmod manpage
% Sylvain Le Gall 
% April 20, 2012

# NAME

ocamlmod - generate OCaml modules from source files

# SYNOPSIS

ocamlmod [-help|--help] file.mod

# DESCRIPTION

This program allows one to generate a single module files from a bunch of OCaml
source file.

# FILE SYNTAX

The `file.mod` must contains one source (`.ml`) per line.

Each `.ml` file is copied with an indentation of 2 space into `file.ml`
The target filename is derived from the `.mod` filename.

During the copy, some parts are removed:

* Every lines contains inside a `(* END EXPORT *)`, `(* START EXPORT *)`
* Some camlp4 related directive (`with odn` and `TYPE_CONV_PATH`).
